## htget 0.1

=== Makefile ===
# Compiler -- settings for linux

CFLAGS	=	-O2 -m486
LFLAGS	=	-L$(LIBDIR) -lqt
CC	=	gcc

# Build rules

all:
	$(CC) htget.c -o htget $(LFLAGS) 

clean:
	find . -name "*.o" -exec rm -f {} \;
	find . -name "*.bak" -exec rm -f {} \;

## htget 0.9.1-2

=== Makefile ===
# Compiler -- settings for linux

CFLAGS	=	-O2
CC	=	gcc

# Build rules

all:
	$(CC) htget.c ${CFLAGS} -o htget

clean:
	rm -f htget htget.o

install:
	install -g root -o root -m 755 htget $(DESTDIR)/usr/bin
	install -g root -o root -m 644 htget.1 $(DESTDIR)/usr/man/man1
	install -g root -o root -m 644 README $(DESTDIR)/usr/doc/htget
	install -g root -o root -m 644 htget.lsm $(DESTDIR)/usr/doc/htget

=== debian/changelog ===
htget (0.9.1-2) unstable; urgency=low

  * Fixed config file problem

 -- Troy Hanson <troy@debian.org>  Sun, 20 Sep 1998 14:55:26 -0500

htget (0.9.1-1) unstable; urgency=low

  *  New maintainer
  *  New upstream version

 -- Troy Hanson <troy@debian.org>  Sun, 19 Jul 1998 09:46:21 -0500

htget (0.9-1) unstable; urgency=low

  *  New maintainer
  *  New upstream version

 -- Troy Hanson <troy@debian.org>  Sun, 19 Jul 1998 09:46:21 -0500

htget (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@debian.org>  Sun, 15 Feb 1998 21:39:13 -0800

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: htget
Section: www 
Priority: optional
Maintainer: Troy Hanson <troy@debian.org>
Standards-Version: 2.4.1

Package: htget
Architecture: any
Depends: ${shlibs:Depends}
Description: a file grabber that will get files from HTTP servers 
 HTGET is a file grabber that will get files from HTTP servers. 
 The aim behind this program is to create a downloader that you can leave
 running in the background - one that's totally reliable and can cope with
 just about any problem, and won't stop downloading unless it's forced to.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

installdoc = install -g root -o root -m 644
installbin = install -g root -o root -m 755 

package=htget

build:
	$(checkdir)
	
	make CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
	$(installdoc) debian/sample.htgetrc debian/tmp/usr/doc/htget 
	$(installdoc) README debian/tmp/usr/doc/htget
	$(installdoc) htget.lsm debian/tmp/usr/doc/htget
	$(installdoc) reminder debian/tmp/usr/doc/htget
	$(installdoc) debian/htget.conf debian/tmp/etc
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## htget 0.93-1

=== debian/changelog ===
htget (0.93-1) unstable; urgency=low

  * New Upstream version
  * Revised main loop
  * Timeouts changed

 -- Troy Hanson <troy@debian.org>  Thu, 24 Jun 1999 21:06:52 -0500

htget (0.92-1) unstable; urgency=low

  * New Upstream version
  * Repaired build scripts slightly

 -- Troy Hanson <troy@debian.org>  Mon, 11 Jan 1999 17:06:56 -0600

=== debian/control ===
--- 
+++ 
@@ -12,4 +12,3 @@
  The aim behind this program is to create a downloader that you can leave
  running in the background - one that's totally reliable and can cope with
  just about any problem, and won't stop downloading unless it's forced to.
-

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
# Modified by Troy Hanson

package=htget

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644

build:
	$(checkdir)
	
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	install -d debian/tmp/usr/bin
	install -d debian/tmp/usr/man/man1
	install -d debian/tmp/usr/doc/htget
	install -d debian/tmp/etc
	install -d debian/tmp/DEBIAN
	make all 
	$(installbin) htget debian/tmp/usr/bin
	$(installdoc) htget.1 debian/tmp/usr/man/man1
	$(installdoc) README debian/tmp/usr/doc/htget/README
	$(installdoc) debian/copyright debian/tmp/usr/doc/htget
	$(installdoc) debian/changelog debian/tmp/usr/doc/htget/changelog.Debian
	$(installdoc) debian/README.debian debian/tmp/usr/doc/htget/README.Debian
	dpkg-shlibdeps htget
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

## htget 0.93-1.1woody1

=== Makefile ===
# Compiler -- settings for linux

CFLAGS	=	-O2 -Wall -W
CC	=	gcc

# Build rules

all:
	$(CC) htget.c ${CFLAGS} -o htget

uninstall:
	rm /usr/bin/htget
	rm /usr/man/man1/htget.1
	rm -r /usr/doc/htget
	

install:
	install htget /usr/bin
	install htget.1 /usr/man/man1
	install -d /usr/doc/htget
	install README /usr/doc/htget/README
	cat reminder

=== debian/changelog ===
htget (0.93-1.1woody1) stable-security; urgency=high
	
  * Non-maintainer upload by the Security Team
  * Correctly limit reads from network to prevent remotely triggerable
    buffer overflow.  [htget.c CAN-2004-0852]

 -- Steve Kemp <skx@debian.org>  Fri, 5 Nov 2004 20:14:11 +0000
 

htget (0.93-1.1) unstable; urgency=low

  * NMU
  * debian/rules: s:usr/doc:usr/share/doc:, s:usr/man:usr/share/man:
  * debian/prerm,postrm: added.  Handle /usr/share/doc.
  * debian/rules: added installscript
  * debian/control: added Priority and Section to binary package
  * debian/rules: added -isp to dpkg-gencontrol
  * debian/rules: added -s to install_prog

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 13 Apr 2001 18:17:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: htget
-Section: www 
+Section: web
 Priority: optional
 Maintainer: Troy Hanson <troy@debian.org>
 Standards-Version: 2.4.1
 
 Package: htget
 Architecture: any
+Section: web
+Priority: optional
 Depends: ${shlibs:Depends}
 Description: a file grabber that will get files from HTTP servers 
  HTGET is a file grabber that will get files from HTTP servers.

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 
 package=htget
 
-installbin = install -g root -o root -m 755
-installdoc = install -g root -o root -m 644
+installbin    = install -s -g root -o root -m 755
+installscript = install    -g root -o root -m 755
+installdoc    = install    -g root -o root -m 644
 
 build:
 	$(checkdir)
@@ -31,19 +32,23 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp
 	install -d debian/tmp/usr/bin
-	install -d debian/tmp/usr/man/man1
-	install -d debian/tmp/usr/doc/htget
+	install -d debian/tmp/usr/share/man/man1
+	install -d debian/tmp/usr/share/doc/htget
 	install -d debian/tmp/etc
 	install -d debian/tmp/DEBIAN
 	make all 
 	$(installbin) htget debian/tmp/usr/bin
-	$(installdoc) htget.1 debian/tmp/usr/man/man1
-	$(installdoc) README debian/tmp/usr/doc/htget/README
-	$(installdoc) debian/copyright debian/tmp/usr/doc/htget
-	$(installdoc) debian/changelog debian/tmp/usr/doc/htget/changelog.Debian
-	$(installdoc) debian/README.debian debian/tmp/usr/doc/htget/README.Debian
+	$(installdoc) htget.1 debian/tmp/usr/share/man/man1
+	gzip -9 debian/tmp/usr/share/man/man1/*
+	$(installdoc) README debian/tmp/usr/share/doc/htget/README
+	$(installdoc) debian/copyright debian/tmp/usr/share/doc/htget
+	$(installdoc) debian/changelog debian/tmp/usr/share/doc/htget/changelog.Debian
+	gzip -9 debian/tmp/usr/share/doc/htget/changelog.Debian
+	$(installdoc) debian/README.debian debian/tmp/usr/share/doc/htget/README.Debian
+	$(installscript) debian/prerm debian/tmp/DEBIAN/
+	$(installscript) debian/postinst debian/tmp/DEBIAN/
 	dpkg-shlibdeps htget
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..
@@ -57,4 +62,3 @@
 checkroot:
 	$(checkdir)
 	test root = "`whoami`"
-
